﻿@model eCommerce.UI.ViewModels.ExtraInfoViewModel
@using eCommerce.Services.Model.Enums

@*3.*@
<div class="checkout__step">
    <div class="checkout-step__content">
        <h3 class="checkout-step__title">4. Información adicional</h3>
        <div class="border-bottom"></div>
        @*<input type="checkbox" name="SameInfo" id="SameInfo">
        <label for="SameInfo">Usar los mismos datos del usuario</label><br>*@
    <div class="checkout-step__form">

        <input type="hidden" name="name" class="js-name" value="@Model.Customer.FullName" />
        <input type="hidden" name="name" class="js-dni-hidden" value="@Model.Customer.DNI" />

        @*@if (Model.Customer.UserType == (int)UserTypeEnum.Mayorista)
        {
            <div class="step-form__input-group">
                    <label class="step-form__group-name">CUIL/CUIT</label>
                    <input type="text" name="cuit" class="step-form__group-input" id="js-cuit" required>
            </div>



        }*@
        @*<div class="step-form__input-group">
            <label class="step-form__group-name">Nombre y apellido</label>
            <input type="text" name="Grl_Name" class="step-form__group-input js-name-complete" value="@Model.Customer.FullName" />
        </div>

        <div class="step-form__input-group">
            <label class="step-form__group-name">Condicion de IVA*</label>
            <select class="step-form__group-input" name="IvaConditionId">
                <option value="1">Consumirdor Final</option>
                <option value="2">Monotributista</option>
                <option value="3">Responsalbe Inscripto</option>
            </select>
        </div>
        <div class="step-form__input-group">
            <label class="step-form__group-name">CUIL/CUIT</label>
            <input type="text" name="cuit" value="@Model.Customer.CUIT" class="step-form__group-input" />
        </div>

        <div class="step-form__input-group">
            <label class="step-form__group-name">Dirección de facturación</label>
            <input type="text" name="ShipmentBillingAddress" class="step-form__group-input js-shipment-billing-address" value="@Model.Customer.BillingAddress" required maxlength="500" />
        </div>
        <div class="step-form__input-group">
            <label class="step-form__group-name">Provincia</label>
            <select class="step-form__group-input" name="Transporte.ProvinceId" data-mandatory="true">
                @foreach (var province in (SelectList)TempData["Provinces"])
                {
                    <option value="@province.Value" @(province.Selected ? "selected" : string.Empty)>@province.Text</option>
                }
            </select>
        </div>

        <div class="step-form__input-group">
            <label class="step-form__group-name">Ciudad / Localidad</label>
            <input type="text" name="Transporte.City" class="step-form__group-input js-ciudad" data-mandatory="true" value="@Model.Customer.City" maxlength="500" />
        </div>

        <div class="step-form__input-group">
            <label class="step-form__group-name">Código postal</label>
            <input type="text" name="Transporte.ZipCode" class="step-form__group-input js-zipcode" value="@Model.Customer.ZipCode" maxlength="10" />
        </div>*@



        <div class="js-address-info hidden">




            <div class="step-form__input-group">
                <label class="step-form__group-name">Dirección de envío</label>
                <input type="text" name="ShipmentCompanyAddress" class="step-form__group-input js-shipment-address" value="@Model.Customer.ShipmentCompanyAddress" required maxlength="500" />
            </div>
            @*<div class="step-form__input-group">
                <label class="step-form__group-name">Envío a:</label>
                <select name="DestinationShipment" class="step-form__group-input js-oca-place">
                    <option value="1">@DestinationShipmentTypeEnum.Domicilio</option>
                    <option value="2">@DestinationShipmentTypeEnum.Sucursal</option>
                </select>
            </div>*@




            <div class="step-form__input-group">
                <label class="step-form__group-name">Transporte (Empresa)</label>
                <input type="text" name="ShipmentCompany" class="step-form__group-input js-shipment-company" value="@Model.Customer.ShipmentCompany" placeholder="Si no conoces ninguna empresa, ingresa 'a confirmar'" required maxlength="500" />
            </div>
        </div>

        <!-- info general -->
        <div class="js-general-info hidden">



            <div class="step-form__input-group">
                <label class="step-form__group-name">Calle</label>
                <input type="text" name="Grl_Address" class="step-form__group-input" data-mandatory="true" value="@Model.Customer.Address" />
            </div>
            <div class="step-form__group">
                <div class="step-form__input-group">
                    <label class="step-form__group-name">Número</label>
                    <input type="text" name="Grl_AddressNumber" class="step-form__group-input step-form__group-input--small" data-mandatory="true" value="@Model.Customer.AddressNumber" />
                </div>
                <div class="step-form__input-group">
                    <label class="step-form__group-name">Piso</label>
                    <input type="text" name="Grl_Floor" class="step-form__group-input step-form__group-input--small" data-mandatory="false" value="@Model.Customer.Floor" />
                </div>
                <div class="step-form__input-group">
                    <label class="step-form__group-name">Departamento</label>
                    <input type="text" name="Grl_Department" class="step-form__group-input step-form__group-input--small" data-mandatory="false" value="@Model.Customer.Department" />
                </div>
            </div>

            @*<div class="step-form__input-group" id="province-Select">
                <label class="step-form__group-name">Provincia</label>
                <select class="step-form__group-input" name="Grl_ProvinceId" data-mandatory="true">
                    @foreach (var province in (SelectList)TempData["Provinces"])
                    {
                        <option value="@province.Value" @(province.Selected ? "selected" : string.Empty)>@province.Text</option>
                    }
                </select>
            </div>*@

            @*<div class="step-form__input-group">
                <label class="step-form__group-name">Ciudad</label>
                <input type="text" name="Grl_City" class="step-form__group-input js-ciudad" data-mandatory="true" value="@Model.Customer.City" maxlength="500" />
            </div>

            <div class="step-form__input-group">
                <label class="step-form__group-name">Código postal</label>
                <input type="text" name="Grl_ZipCode" class="step-form__group-input js-zipcode" value="@Model.Customer.ZipCode" maxlength="10" />
            </div>*@

        </div>

        <!--<div class="js-stores hidden">

            <div class="js-stores-retail">

                <div class="step-form__input-group">
                    <label class="step-form__group-name">Seleccione un local para retiro</label>
                    <select name="RetailStoreId" class="step-form__group-input js-retailerstore" required>-->
                        @*<option value="">Seleccione un local</option>*@
                        <!--@foreach (var store in Model.RetailerStores)
                        {
                            <option value="@store.StoreId">@store.Address - @store.Province.Name</option>
                        }

                    </select>
                </div>
            </div>

            <div class="js-stores-wholesale">

                <div class="step-form__input-group">
                    <label class="step-form__group-name">Seleccione un local para retiro</label>
                    <select name="WholesaleStoreId" class="step-form__group-input js-wholesalerstore" required>-->
                        @*<option value="">Seleccione un local</option>*@
                        <!--@foreach (var store in Model.WholesalerStores)
                        {
                            <option value="@store.StoreId">@store.Address - @store.Province.Name</option>
                        }

                    </select>
                </div>
            </div>-->


            @*<div class="step-form__input-group">
                @*<label class="step-form__group-name">&nbsp;</label>
                <button class="button js-store-avanzar" type="button">Avanzar</button>
            </div>*@
        <!--</div>-->



        @*<div class="js-oca-info hidden">

            <div class="js-ocap-info hidden">
                <div class="step-form__input-group">
                    <label class="step-form__group-name">Calle</label>
                    <input type="text" name="Address" class="step-form__group-input" data-mandatory="true" value="@Model.Customer.Address" />
                </div>
                <div class="step-form__group">
                    <div class="step-form__input-group">
                        <label class="step-form__group-name">Número</label>
                        <input type="text" name="AddressNumber" class="step-form__group-input step-form__group-input--small" data-mandatory="true" value="@Model.Customer.AddressNumber" />
                    </div>
                    <div class="step-form__input-group">
                        <label class="step-form__group-name">Piso</label>
                        <input type="text" name="Floor" class="step-form__group-input step-form__group-input--small" data-mandatory="false" value="@Model.Customer.Floor" />
                    </div>
                    <div class="step-form__input-group">
                        <label class="step-form__group-name">Departamento</label>
                        <input type="text" name="Department" class="step-form__group-input step-form__group-input--small" data-mandatory="false" value="@Model.Customer.Department" />
                    </div>
                </div>
                <div class="step-form__input-group">
                    <label class="step-form__group-name">Provincia (2)</label>
                    <select class="step-form__group-input" name="ProvinceId" data-mandatory="true">
                        @foreach (var province in (SelectList)TempData["Provinces"])
                        {
                            <option value="@province.Value" @(province.Selected ? "selected" : string.Empty)>@province.Text</option>
                        }
                    </select>
                </div>
                <div class="step-form__input-group">
                    <label class="step-form__group-name">Ciudad</label>
                    <input type="text" name="City" class="step-form__group-input" data-mandatory="true" value="@Model.Customer.City" />
                </div>
                <div class="step-form__input-group">
                    <label class="step-form__group-name">Dirección de facturación</label>
                    <input type="text" name="OCABillingAddress" class="step-form__group-input js-oca-billing-address" value="@Model.Customer.BillingAddress" required maxlength="500" />
                </div>
            </div>

            <div class="step-form__input-group">
                <label class="step-form__group-name">Código postal</label>
                <input type="text" name="ZipCode" class="step-form__group-input js-oca-zipcode" value="@Model.Customer.ZipCode" />
            </div>

            <div class="step-form__input-group">
                <button type="button" class="button js-oca-calculate-cost">Calcular costo</button>
            </div>

            <div class="js-oca-cost-info hidden">
                <div class="step-form__input-group">
                    <label class="step-form__group-name">Costo de envío</label>
                    <strong class="step-form__group-input js-oca-cost"></strong>
                </div>

                <div class="step-form__input-group js-ocas-info hidden">
                    <label class="step-form__group-name">Sucursal</label>
                    <select class="step-form__group-input js-oca-sucursales" name="OcaCenterId">
                    </select>
                </div>
            </div>

        </div>*@

        <!--<div class="js-andreani-info hidden">

            <div class="js-andreanid-info hidden">
                <h2 style="font-size:22px;">Andreani - Envío a domicilio</h2>


                <div class="step-form__input-group-container">
                    <div class="step-form__input-group js-andreanid-info hidden">
                        <label class="step-form__group-name">Provincia*</label>
                        <select class="step-form__group-input js-andreanid-province" name="AndreaniDomicilioProvincia" data-mandatory="true">
                            <option value="">Seleccione una provincia</option>
                            @foreach (var province in (SelectList)TempData["Provinces"])
                            {
                                <option value="@province.Value" @(province.Selected ? "selected" : string.Empty)>@province.Text</option>
                            }
                        </select>
                    </div>
                    <div class="step-form__input-group js-andreanid-info hidden">
                        <label class="step-form__group-name">Ciudad*</label>
                        <input class="step-form__group-input placeholder js-andreanid-city" data-placeholder="" name="AndreaniDomicilioCiudad" value="@Model.Customer.City">
                    </div>
                </div>
                <div class="step-form__input-group-container">
                    <div class="step-form__input-group js-andreanid-info hidden">
                        <label class="step-form__group-name">Calle*</label>
                        <input class="step-form__group-input placeholder js-andreanid-address" placeholder="" name="AndreaniDomicilio" value="@Model.Customer.Address">
                    </div>
                    <div class="step-form__input-group js-andreanid-info hidden">
                        <label class="step-form__group-name">Altura*</label>
                        <input class="step-form__group-input placeholder js-andreanid-addressNumber" placeholder="" name="AndreaniDomicilioNumero" value="@Model.Customer.AddressNumber">
                    </div>
                </div>
                <div class="step-form__input-group-container">
                    <div class="step-form__input-group js-andreanid-info hidden">
                        <label class="step-form__group-name">Piso</label>
                        <input class="step-form__group-input placeholder js-andreanid-addressFloor" placeholder="" name="AndreaniDomicilioPiso" value="@Model.Customer.Floor">
                    </div>
                    <div class="step-form__input-group js-andreanid-info hidden">
                        <label class="step-form__group-name">Departamento</label>
                        <input class="step-form__group-input placeholder js-andreanid-addressDepartment" placeholder="" name="AndreaniDomicilioDepartamento" value="@Model.Customer.Department">
                    </div>
                </div>
                <div class="step-form__input-group-container">
                    <div class="step-form__input-group js-andreanid-info hidden">
                        <label class="step-form__group-name">DNI*</label>
                        <input class="step-form__group-input placeholder js-andreanid-dni" placeholder="" name="AndreaniDomicilioDNI" value="@Model.Customer.DNI">
                    </div>
                    <div class="step-form__input-group js-andreanid-info hidden">
                        <label class="step-form__group-name">Codigo Postal*</label>
                        <input class="step-form__group-input placeholder js-andreanid-cp" data-placeholder="" name="AndreaniDomicilioCP" value="@Model.Customer.ZipCode">
                    </div>
                </div>



                <div class="step-form__input-group js-andreanid-info hidden">-->
                    @*<label class="step-form__group-name">&nbsp;</label>*@
                    <!--<button class="button js-calcular-costo-domicilio">Calcular costo</button>
                </div>

                <div id="infoAndreaniD" style="display:none;">
                    <div class="step-form__input-group js-andreanid-info hidden">
                        <label class="step-form__group-name">Costo</label>
                        <input type="text" class="step-form__group-input js-andreanid-cost" readonly>
                    </div>
                    <div class="step-form__input-group js-andreanid-info hidden">-->
                        @*<label class="step-form__group-name">&nbsp;</label>*@
                        <!--<button class="button js-andreanid-avanzar" type="button">Avanzar</button>
                    </div>
                </div>
            </div>

            <div class="js-andreanis-info hidden">

                <h2 style="font-size:22px;">Elegí tu sucursal mas cercana</h2>

                <div class="step-form__input-group js-andreanis-info hidden">
                    <label class="step-form__group-name">Codigo Postal*</label>
                    <input class="step-form__group-input placeholder js-andreani-cp" data-placeholder="" name="AndreaniSucursalCP" value="@Model.Customer.ZipCode">
                </div>
                <div class="step-form__input-group js-andreanis-info hidden">
                    <label class="step-form__group-name">DNI*</label>
                    <input class="step-form__group-input placeholder js-andreani-dni" data-placeholder="" name="AndreaniSucursalDNI" value="@Model.Customer.DNI">
                </div>
                <div class="step-form__input-group js-andreanis-info hidden">
                    <button type="button" class="button js-get-andreani-sucursales">Obtener centros de entrega</button>
                </div>

                <div id="infoAndreani" style="display:none;">
                    <div class="step-form__input-group js-andreanis-info hidden">
                        <label class="step-form__group-name">Eleg&iacute; tu sucursal mas cercana:</label>
                        <select name="AndreaniSucursal" class="step-form__group-input js-andreani-sucursales"></select>
                    </div>
                    <div class="step-form__input-group js-andreanis-info hidden">
                        <button class="button js-andreani-cotizar" type="button">($) Calcular Costo</button>
                    </div>
                </div>
            </div>

        </div>-->

        @*<div class="step-form__input-group">
            <label class="step-form__group-name">DNI</label>
            <input type="text" name="DNI" class="step-form__group-input js-dni js-dni-complete" value="" required  maxlength="50"/>
        </div>
        *@

        @*<div class="step-form__input-group">
            <label class="step-form__group-name">Monto a declarar en el remito</label>
            <input type="text" name="ReceiptAmount" class="step-form__group-input js-receipt" required maxlength="50"/>
        </div>*@


        @*<div class="step-form__input-group">
            <label class="step-form__group-name">Notas adicionales</label>
            <textarea rows="5" class="step-form__group-input" name="Observations"></textarea>
        </div>*@
        <div class="step-form__input-group">
            <label class="step-form__group-name">Teléfono de contacto</label>
            <input type="tel" name="Phone" class="step-form__group-input js-phone-number" value="@Model.Customer.Cellphone" required maxlength="50" />
        </div>
        <div class="checkout-step__form">
            <div class="step-form__input-group">
                <label class="step-form__group-name">Notas adicionales</label>
                <textarea rows="5" class="step-form__group-input" name="Observations"></textarea>
            </div>
        </div>

    </div>
    </div>
</div>